﻿using DomainModel.Entities;
using NHibernate;
using NUnit.Framework;
using System;

namespace DAL.Test
{
    [TestFixture]
    public class NHibernateSampleFixture
    {
        #region Setup/Teardown

        [SetUp]
        public void Setup()
        {
            _session = _helper.GetSession();
            _sample = new NHibernateSample(_session);
        }

        #endregion

        private ISession _session;
        private SessionManager _helper;
        private NHibernateSample _sample;

        [TestFixtureSetUp]
        public void TestFixtureSetup()
        {
            _helper = new SessionManager();
        }

        [Test]
        public void GetCustomerByIdTest()
        {
            Customer customer = _sample.GetCustomerById(1);
            int customerId = customer.CustomerId;
            Assert.AreEqual(1, customerId);
        }
    }
}